#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include "pmeq.c"

// version of glmm_sim for scad and lasso penalty functions for poisson response model


void pme_sim_lasso(double *theta, double *phi, double *y, double *X, double *Z, double *k,
		     int *n, int *p, int *q, int *ni, int *nsim, char **fileb,
		    char **filetheta, double *penalty, int *groupindex, int *numgroup, int *penalize, int *simtheta)  {
  glmme_sim_lasso(theta,phi,y,X,Z,k,n,p,q,ni,nsim,conanfun_pme,bfun_pme,cfun_pme,fileb,filetheta,penalty,groupindex,
		   numgroup,penalize,simtheta);
}

void pme_sim_scad(double *theta, double *phi, double *y, double *X, double *Z, double *k,
		     int *n, int *p, int *q, int *ni, int *nsim, char **fileb,
		    char **filetheta, double *penalty, int *groupindex, int *numgroup, int *penalize, int *simtheta)  {
  glmme_sim_scad(theta,phi,y,X,Z,k,n,p,q,ni,nsim,conanfun_pme,bfun_pme,cfun_pme,fileb,filetheta,penalty,groupindex,
		 numgroup,penalize,simtheta);
}
