### Name: markVisits
### Title: Mark visits of subjects in a long format
### Aliases: markVisits
### Keywords: database

### ** Examples

## Data frame
data(Sitka, package="MASS")
use(Sitka)

## Classical R methods
list1 <- rle(tree)
list1
visit1 <- unlist(sapply(X=list1$lengths, FUN=function(x) 1:x, simplify=FALSE))
visit1

## Do it again by Epicalc
visit2 <- markVisits(id=tree, time=Time)
visit2



