
R version 2.8.1 (2008-12-22)
Copyright (C) 2008 The R Foundation for Statistical Computing
ISBN 3-900051-07-0

R is free software and comes with ABSOLUTELY NO WARRANTY.
You are welcome to redistribute it under certain conditions.
Type 'license()' or 'licence()' for distribution details.

  Natural language support but running in an English locale

R is a collaborative project with many contributors.
Type 'contributors()' for more information and
'citation()' on how to cite R or R packages in publications.

Type 'demo()' for some demos, 'help()' for on-line help, or
'help.start()' for an HTML browser interface to help.
Type 'q()' to quit R.

[Previously saved workspace restored]

> 
> ##library(epicalc)
> library(epicalc,lib="/netscr/rigarcia/lmeq/current")
Loading required package: foreign
Loading required package: survival
Loading required package: splines

Attaching package: 'survival'


	The following object(s) are masked _by_ .GlobalEnv :

	 ridge 


Attaching package: 'epicalc'


	The following object(s) are masked _by_ .GlobalEnv :

	 recode 

> library("lmm")

Attaching package: 'lmm'


	The following object(s) are masked _by_ .GlobalEnv :

	 ecmeml.lmm 

> source("lmeqfit.r")
> 
> 
> colnames <- c("id","black","nopreg","age","gender","cocaine","gestat","visit","weight")
> yaleinfant <- read.table(file="yaleinfant.txt",col.names=colnames)
> yaleinfant$weight <- yaleinfant$weight/sqrt(var(yaleinfant$weight))
> yaleinfant$age <- (yaleinfant$age-mean(yaleinfant$age))/sqrt(var(yaleinfant$age))
> yaleinfant$gestat <- (yaleinfant$gestat-mean(yaleinfant$gestat))/sqrt(var(yaleinfant$gestat))
> yaleinfant$visit <- (yaleinfant$visit-mean(yaleinfant$visit))/sqrt(var(yaleinfant$visit))
> 
> id <- unique(yaleinfant$id)
> yaleinfant <- recode(yaleinfant,id,1:length(id))
> id <- unique(yaleinfant$id)
> y <- X <- list()
> for ( ids in id)  {
+   y[[ids]] <- matrix(subset(yaleinfant,subset=id==ids)$weight,ncol=1)
+   X[[ids]] <- cbind(1,matrix(as.matrix(subset(yaleinfant,subset=id==ids)[,c("black","nopreg","age","gender","cocaine","gestat","visit")]),ncol=7))
+ }
> control <- list(relativeerror=.1,maxiter=10)
> p <- 8
> q <- 8
> penalize <- c(rep(TRUE,p),rep(TRUE,q*(q+1)/2))
> n <- length(y)
> ni <- sapply(y,nrow)
> datasets <- list()
> datasets[[1]] <- list(y=y,X=X,Z=X,n=n,ni=ni,p=p,q=q)
> 
> penalty.start.lasso <- c(.005,.05)
> penalty.start.alasso <- c(.1,.1)
> penalty.start.scad <- c(.5,.5)
> input.lasso <- list(penalty.fun=alasso,scalemle=TRUE,penalty.start=penalty.start.lasso)
> input.alasso <- list(penalty.fun=alasso,scalemle=TRUE,penalty.start=penalty.start.alasso)
> input.scad <- list(penalty.fun=scad,scalemle=FALSE,penalty.start=penalty.start.scad)
> 
> input <- list(lasso=input.lasso,alasso1=input.alasso,alasso2=input.alasso,scad=input.scad,nsim=500,penalize=penalize)
> 
> # cal starting value
> out <- lm(do.call("rbind",y)~do.call("rbind",X)-1)
> # tmp <- do.call("rbind",y)-do.call("rbind",X)%*%out$coef
> control$start <- list(sigma2=1,theta=rbind(matrix(out$coef),matrix(ltvec(t(chol(diag(q)))),,1)))
> 
> out <- lmeqfit(datasets[[1]],input,control,c("lasso"))
Started computing RE penalty estimation for model lasso at Mon Jan  4 21:34:37 2010 
Started computing ICQ penalty estimation for model lasso at Mon Jan  4 21:34:37 2010 
lamcuts1 5e-04 0.05 ,lamcuts2 0.005 0.01255943 Mon Jan  4 22:24:52 2010 
Error: object "out.re" not found
Execution halted
